import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfTitleKeySchema } from '../enums/PdfTitleKey.schema';
import { NestedEnumPdfTitleKeyFilterObjectSchema as NestedEnumPdfTitleKeyFilterObjectSchema } from './NestedEnumPdfTitleKeyFilter.schema'

const makeSchema = () => z.object({
  equals: PdfTitleKeySchema.optional(),
  in: PdfTitleKeySchema.array().optional(),
  notIn: PdfTitleKeySchema.array().optional(),
  not: z.union([PdfTitleKeySchema, z.lazy(() => NestedEnumPdfTitleKeyFilterObjectSchema)]).optional()
}).strict();
export const EnumPdfTitleKeyFilterObjectSchema: z.ZodType<Prisma.EnumPdfTitleKeyFilter> = makeSchema() as unknown as z.ZodType<Prisma.EnumPdfTitleKeyFilter>;
export const EnumPdfTitleKeyFilterObjectZodSchema = makeSchema();
